ValueObjectSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.ejb.entity.ValueObjectSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.ejb.entity
Class ValueObjectSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.modules.ejb.AbstractEjbCodeGeneratorSubTask
                      xdoclet.modules.ejb.entity.ValueObjectSubTask

All Implemented Interfaces:
  Serializable

public class ValueObjectSubTask
extends AbstractEjbCodeGeneratorSubTask

Creates "value objects" for Entity EJBs. This task replaces Data Object .

Version:
  $Revision: 1.16 $
Author:
  Vincent Harcq (vincent.harcq@hubmethods.com)
See Also:
  Serialized Form
ant.element
  display-name="Value Object" name="valueobject" parent="xdoclet.modules.ejb.EjbDocletTask"
created
  Feb 5, 2002

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary
`protected xjavadoc.XTag` | `currentDataObjectTag` Form tag being processed right now
`static String` | `DEFAULT_DATAOBJECT_CLASS_PATTERN`
`protected static String` | `DEFAULT_TEMPLATE_FILE`
`protected String` | `valueObjectClassPattern` A configuration parameter for specifying the data object class name pattern.

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`ValueObjectSubTask()` Describe what the ValueObjectSubTask constructor does

Method Summary
`protected void` | `engineStarted()` Describe what the method does
`protected void` | `generateForClass(xjavadoc.XClass clazz)` Describe what the method does
`static String` | `getCurrentValueObjectClass()` Gets the CurrentValueObjectClass attribute of the ValueObjectSubTask class
`static String` | `getCurrentValueObjectExtends()`
`static String` | `getCurrentValueObjectImplements()`
`static String` | `getCurrentValueObjectMatch()` Gets the CurrentValueObjectMatch attribute of the ValueObjectSubTask class
`static String` | `getCurrentValueObjectName()` Gets the CurrentValueObjectName attribute of the ValueObjectSubTask class
`protected String` | `getGeneratedFileName(xjavadoc.XClass clazz)` Gets the GeneratedFileName attribute of the ValueObjectSubTask object
`boolean` | `getGeneratePKConstructor()`
`String` | `getValueObjectClassPattern()` Returns the configuration parameter for specifying the data object class name pattern.
`protected boolean` | `matchesGenerationRules(xjavadoc.XClass clazz)` Describe what the method does
`void` | `setGeneratePKConstructor(String generatePKConstructor)` Whether to generate a single-parameter constructor in the ValueObject, which only sets up the PK.
`void` | `setPattern(String new_pattern)` The pattern by which the value object classes are named.
`void` | `validateOptions()` Called to validate configuration parameters.

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, copyAttributesFrom, engineFinished, execute, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcess, startProcessForAll, startProcessPerClass`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_DATAOBJECT_CLASS_PATTERN

    public static final String DEFAULT_DATAOBJECT_CLASS_PATTERN

See Also:
  Constant Field Values

### DEFAULT_TEMPLATE_FILE

    protected static final String DEFAULT_TEMPLATE_FILE

See Also:
  Constant Field Values

### valueObjectClassPattern

    protected String valueObjectClassPattern

  A configuration parameter for specifying the data object class name pattern. By default the value is used for deciding the entity data object class name. The placeholder "{0}" in the value means the current class's symbolic name which for an EJBean is the EJB name.

  See Also:
    `getValueObjectClassPattern()`

### currentDataObjectTag

    protected xjavadoc.XTag currentDataObjectTag

  Form tag being processed right now

Constructor Detail

### ValueObjectSubTask

    public ValueObjectSubTask()

  Describe what the ValueObjectSubTask constructor does

Method Detail

### getCurrentValueObjectClass

    public static String getCurrentValueObjectClass()

  Gets the CurrentValueObjectClass attribute of the ValueObjectSubTask class

  Returns:
    The CurrentValueObjectClass value

### getCurrentValueObjectImplements

    public static String getCurrentValueObjectImplements()

### getCurrentValueObjectExtends

    public static String getCurrentValueObjectExtends()

### getCurrentValueObjectName

    public static String getCurrentValueObjectName()

  Gets the CurrentValueObjectName attribute of the ValueObjectSubTask class

  Returns:
    The CurrentValueObjectName value

### getCurrentValueObjectMatch

    public static String getCurrentValueObjectMatch()

  Gets the CurrentValueObjectMatch attribute of the ValueObjectSubTask class

  Returns:
    The CurrentValueObjectMatch value

### getValueObjectClassPattern

    public String getValueObjectClassPattern()

  Returns the configuration parameter for specifying the data object class name pattern. By default the value is used for deciding the entity data object class name. The placeholder "{0}" in the value means the current class's symbolic name which for an EJBean is the EJB name. If nothing explicitly specified by user then "{0}Value" is used by default.

  Returns:
    The ValueObjectClassPattern value
  See Also:
    `valueObjectClassPattern`

### getGeneratePKConstructor

    public boolean getGeneratePKConstructor()

### setPattern

    public void setPattern(String new_pattern)

  The pattern by which the value object classes are named. The placeholder "{0}" designates the EJB name.

  Parameters:
    `new_pattern` - The new Pattern value

### setGeneratePKConstructor

    public void setGeneratePKConstructor(String generatePKConstructor)

  Whether to generate a single-parameter constructor in the ValueObject, which only sets up the PK.

  Parameters:
    `generatePKConstructor` - The new GeneratePKConstructor value

### validateOptions

    public void validateOptions()
                         throws XDocletException

  Called to validate configuration parameters.

  Overrides:
    `validateOptions` in class `TemplateSubTask`
  Throws:
    `XDocletException`

### getGeneratedFileName

    protected String getGeneratedFileName(xjavadoc.XClass clazz)
                                   throws XDocletException

  Gets the GeneratedFileName attribute of the ValueObjectSubTask object

  Overrides:
    `getGeneratedFileName` in class `TemplateSubTask`
  Parameters:
    `clazz` - Describe what the parameter does
  Returns:
    The GeneratedFileName value
  Throws:
    `XDocletException`

### matchesGenerationRules

    protected boolean matchesGenerationRules(xjavadoc.XClass clazz)
                                      throws XDocletException

  Describe what the method does

  Overrides:
    `matchesGenerationRules` in class `TemplateSubTask`
  Parameters:
    `clazz` - Describe what the parameter does
  Returns:
    Describe the return value
  Throws:
    `XDocletException`

### generateForClass

    protected void generateForClass(xjavadoc.XClass clazz)
                             throws XDocletException

  Describe what the method does

  Overrides:
    `generateForClass` in class `TemplateSubTask`
  Parameters:
    `clazz` - Describe what the parameter does
  Throws:
    `XDocletException`

### engineStarted

    protected void engineStarted()
                          throws XDocletException

  Describe what the method does

  Overrides:
    `engineStarted` in class `TemplateSubTask`
  Throws:
    `XDocletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD